
/*
 Stepper Motor Control - one step at a time

 This program drives a unipolar or bipolar stepper motor.
 The motor is attached to digital pins 8 - 11 of the Arduino.

 */

#include <Stepper.h>

const int stepsPerRevolution = 200;  // steps per revolution

Stepper myStepper(stepsPerRevolution, 8, 9, 10, 11);// initialize the stepper library on pins 8 through 11:

int stepCount = 0;  // number of steps the motor has taken

void setup() {
  // initialize the serial port:
  Serial.begin(9600);
}

void loop() {
  // step one step:
  myStepper.step(1);
  Serial.print("steps:");
  Serial.println(stepCount);
  stepCount++;
  delay(500);
}

